QCA::HashContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::HashContext:
[legend]

## Public Member Functions

virtual void | clear ()=0
virtual MemoryRegion | final ()=0
| HashContext (Provider *p, const QString &type)
virtual void | update (const MemoryRegion &a)=0
Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::BasicContext
| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

Hash provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want Hash instead.

## Constructor & Destructor Documentation

## HashContext()

QCA::HashContext::HashContext | ( | Provider * | p,
|  | const QString & | type )

inline

Standard constructor.

Parameters

  p | the provider associated with this context
  type | the name of the type of hash provided by this context

References QCA::BasicContext::BasicContext(), and QCA::Provider::Context::type().

## Member Function Documentation

## clear()

virtual void QCA::HashContext::clear | ( |  | ) |

pure virtual

Reset the object to its initial state.

## update()

virtual void QCA::HashContext::update | ( | const MemoryRegion & | a | ) |

pure virtual

Process a chunk of data.

Parameters

  a | the input data to process

## final()

virtual MemoryRegion QCA::HashContext::final | ( |  | ) |

pure virtual

Return the computed hash.

The documentation for this class was generated from the following file:

- qcaprovider.h